SAS_END_DEVICE_ALLOC(9)

NAME
sas_end_device_alloc - allocate an rphy for an end device

SYNOPSIS

struct sas_rphy * sas_end_device_alloc(struct sas_port * parent);

ARGUMENTS

parent
    which port

DESCRIPTION

Allocates an SAS remote PHY structure, connected to parent.

RETURNS

SAS PHY allocated or NULL if the allocation failed.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT